%author Veronica Martinez, The University of Queensland, AIBN
%13-March-2014

% function to load experimental data and a metabolic model

function [t,tr,cm,rm,stdev,stdevR,R,Rr,S,metabM,namesR]=LoadData(x,excelfile,biomass)

sheet=strcat('RawData',num2str(x));
[Measurements metabM]= xlsread(excelfile,sheet);

t=Measurements(:,1);
Measurements(:,1:2)=[];
cm=Measurements;
metabM(1:2)=[];

stdev=cm*0.05;% 5% error of measurements
stdev(find(stdev<0.01))=0.01;
%no rates data
rm=[];stdevR=[];Rr=[];namesR=[];tr=[];

%Load metabolic model 
[~, Reactions]=xlsread(excelfile,'Model');
[~,Mc,~,~,~,namesc,transport]=reactions(Reactions);

R=[];
for i=1:length(metabM)
    prePosition=strmatch(metabM{i},namesc,'exact');
    R(i,:)=Mc(prePosition,:);
end

%S stochiomatric matrix of balanced metabolites
[S,Names]=DeleteRows(namesc,Mc,'e');
[S,Names]=DeleteRows(Names,S,biomass);

%check data in figure 1
figure(1)
for i=1:size(cm,2);
    subplot(5,5,i),plot(t,cm(:,i));title(metabM{i});
end

